## libreoffice-l10n 5.3.1

=== debian/changelog ===
libreoffice-l10n (1:5.3.1-0ubuntu2) zesty; urgency=medium

  [ Bjoern Michaelsen ]
  * cherry-picking fixes from Debian
  * l10n: depend >= instead of = from -lang to -common:
    - should still be enough to prevent premature promotion
    - but should allow skipping superfluous compatible -l10n rebuilds

  [ Rene Engelhard ]
  * debian/rules:
    - move /usr/include/libreoffice/sal/typesizes.h symlink to -dev
      instead of -dev-common (closes: #858199)

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Mon, 20 Mar 2017 13:48:22 +0100

libreoffice-l10n (1:5.3.1-0ubuntu1) zesty; urgency=medium

  * new upstream release
  * dont modify generated files in SCM, also dont store generated files in SCM,
    do "readd ant" in source file instead of the generated one (which will get
    overwritten)
  * version lock -l10ns to -common to prevent premature promotion

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Thu, 16 Mar 2017 11:32:20 +0100

libreoffice-l10n (1:5.3.0~rc3-0ubuntu2) zesty; urgency=medium

  * (re-)add ant and ant-optional dependency for autopkgtests
  * Dont have Recommends: on firebird when building w/o firebird

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Tue, 14 Feb 2017 03:48:41 +0100

libreoffice-l10n (1:5.3.0~rc3-0ubuntu1) zesty; urgency=medium

  * remove spurious suggests from -common to -human
  * add (empty) -human transitional, remove -breeze dupe Suggest

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Fri, 10 Feb 2017 16:01:13 +0100

libreoffice-l10n (1:5.3.0~rc3-0ubuntu1~zesty1) zesty; urgency=medium

  * new upstream rc

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Mon, 30 Jan 2017 14:33:54 +0100

libreoffice-l10n (1:5.3.0~rc2-2ubuntu1~zesty4) zesty; urgency=medium

  * go full gtk3
  * remove remaining BUILD_DBG_PACKAGE parts
  * remove some more debhelper hackery which seems to mess up launchpad

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Thu, 26 Jan 2017 10:32:01 +0100

libreoffice-l10n (1:5.3.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/change-from-glew-to-epoxy.diff: update
  * debian/patches/m68k-use-mlong-jump-table-offsets.diff: add;
    as name says

  * debian/rules:
    - build-depend on gcc-7/g++-7 (>= 7-20170106) for m68k for
      -mlong-jump-table-offsets

 -- Rene Engelhard <rene@debian.org>  Tue, 17 Jan 2017 01:31:09 +0100

libreoffice-l10n (1:5.3.0~rc1-2ubuntu1~zesty2) zesty; urgency=medium

  * allow root builds on lp 

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Mon, 23 Jan 2017 17:58:32 +0100

libreoffice-l10n (1:5.3.0~rc1-2ubuntu1~zesty1) zesty; urgency=medium

  * merge from Debian

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Tue, 10 Jan 2017 12:19:56 +0100

libreoffice-l10n (1:5.3.0~rc1-2) experimental; urgency=medium

  * debian/rules:
    - readd somehow lost libgl1-mesa-dev build-dependency...

 -- Rene Engelhard <rene@debian.org>  Sat, 24 Dec 2016 01:01:40 +0100

libreoffice-l10n (1:5.3.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/change-from-glew-to-epoxy.diff: backport from master;
    as name says
  * debian/patches/gtk3-opengl-slideshow.diff: backport from master to fix
    ogltrans generically with gtk3
  * debian/patches/disable-flaky-tests.diff: also disable svx.AccessibleShape

  * debian/control.ogltrans.in:
    - add Conflicts: libreoffice-gtk3 (<< 1:5.2.4~rc2)

  * debian/rules:
    - change glew conditionals/build-deps to epoxy
    - ENABLE_GDRIVE=y again on armhf and arm64

 -- Rene Engelhard <rene@debian.org>  Fri, 23 Dec 2016 21:17:03 +0100

libreoffice-l10n (1:5.3.0~beta2-1) experimental; urgency=medium

  * New upstream beta release

  * debian/patches/m68k-alignment.diff: add patch from John Paul Adrian
    Glaubitz to fix m68k alignment

  * debian/libreoffice-sdbc-firebird.NEWS: add NEWS entry about the format
    incompatibility
  * debian/rules: revert ENABLE_GDRIVE=y on arm* as chromium got uploaded
    without it to sid and it's gone from experimental again on those

 -- Rene Engelhard <rene@debian.org>  Sun, 11 Dec 2016 10:40:18 +0100

libreoffice-l10n (1:5.3.0~beta1-1) experimental; urgency=medium

  * New upstream beta release

  * try using just the used tarballs to avoid confusion and to shrink the
    .orig (they are downloaded anyway and not in the .orig)
    - remove unneeded tarballs from tarballs
    - include needed tarballs in include-binaries
    - update debian/copyright (remove many, add forgotten swingEx
      fix src -> tarballs; actually add MPL-2.0/ASF blurb) 
    - update README.Debian-source

  * debian/patches/fix-system-lpsolve-build.diff: rename to ..
  * build-against-shared-lpsolve.diff: ... this to make the purpose more clear
  * debian/patches/fix-system-lpsolve-build.diff: add new one adding
    -llpsolve55_pic test/linkage (disabled)
  * debian/patches/no-openssl.diff: don't uselessly check for openssl and
    don't require openssl in postgresql-sdbc-impl, not (directly) used

  * debian/scripts/get_libvlc_dep.sh: fix to work again (also) with
    new multiarchified libvlc5

  * debian/rules:
    - don't install ChangeLog (now done automatically by dh compat >= 7) as
      it doubles -common/-core size and increases font-opensymbol *by 10* 
    - ENABLE_GDRIVE=y also on armhf and arm64 as we've chromium there now, too
    - enable mysql-connector again now that libmysqlcppconn _and_
      mysql-workbench are built against mariadb.
      Bump Build-Dependency on libmysqlcppconn to >= 1.1.7-4 to go sure
      we're getting a >= 1.1.7 dependency
      Fix adding the libmysqlcppconn-dev Build-Dep in the default case
  * debian/control.in:
    - add Breaks: browser-plugin-libreoffice to libreoffice-core
      (closes: #843980)
  * debian/control.firebird.in: fix substvar: s/server/engine/
  * debian/libreoffice-common.maintscript: remove apparently unneeded quotes

