=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
 Uploaders: Rene Engelhard <rene@debian.org>
-Build-Depends: autoconf, automake, bc, bison, bzip2, fastjar, flex (>= 2.3.35), gperf, libarchive-zip-perl, libc0.1 (>= 2.10.2-7) [kfreebsd-any], libcups2-dev, libfontconfig1-dev, libfreetype6-dev (>= 2.2.0), libice-dev, libsm-dev, libx11-dev, libxaw7-dev, libxext-dev, libxinerama-dev, libxkbfile-dev, libxrender-dev, libxt-dev, libxtst-dev, pkg-config, unzip, x11proto-render-dev, xsltproc, zip, zlib1g-dev  , binutils (>= 2.23) [mips mipsel], libc6 (>= 2.17-6) [mips mipsel] , gcc-6.2 [hppa ia64 s390 sparc] ,g++-6.2 [hppa ia64 s390 sparc] , libpoppler-dev (>= 0.12.0), libpoppler-private-dev, libpoppler-cpp-dev , libgraphite2-dev (>= 0.9.3) , libharfbuzz-dev (>= 0.9.18) , libexttextcat-dev (>= 3.4.1) , libjpeg-dev , libxml2-dev, libxml2-utils , libxslt1-dev , libexpat1-dev , unixodbc-dev (>= 2.2.11) , libsane-dev , libpng-dev , libcurl4-gnutls-dev , libssl-dev (>= 0.9.8) , python3 , python3-dev (>= 3.3) , dh-python , debhelper (>= 7.2.3~) , dpkg-dev (>= 1.17.14) , libcppunit-dev (>= 1.13.2-2.1) , gdb [!kfreebsd-any] <!nocheck> , fontconfig <!nocheck> , fonts-liberation <!nocheck> , junit4 (>= 4.8.2-2) [!kfreebsd-any] , maven-repo-helper , java-common (>= 0.49) , default-jdk [!mips64] , default-jdk (>= 1:1.7-48) [ia64] , default-jdk (>= 2:1.7-52.1) [kfreebsd-any] , gcj-jdk [hppa ia64 s390 sparc] , gcj-native-helper [hppa ia64 s390 sparc], libgcj-common (>= 1:4.4.1) [hppa ia64 s390 sparc] , ant (>= 1.7.0) [!mips64], ant-optional (>= 1.7.0) [!mips64] , javahelper (>= 0.37~) , libnss3-dev (>= 3.12.3) , ucpp , libhunspell-dev (>= 1.1.5-2) , libhyphen-dev (>= 2.4) , libboost-dev (>= 1.58), libboost-date-time-dev (>= 1.58), libboost-iostreams-dev (>= 1.58), libboost-filesystem-dev (>= 1.58) , libmdds-dev (>= 1.2) , liborcus-dev (>= 0.11.2) , libclucene-dev (>= 2.3.3.4-4.1) , librevenge-dev , libwpd-dev (>= 0.10) , libmythes-dev (>= 2:1.2) , libwps-dev (>= 0.4) , libwpg-dev (>= 0.3) , libvisio-dev (>= 0.1) , libcdr-dev (>= 0.1) , libmspub-dev (>= 0.1) , libmwaw-dev (>= 0.3.1) , libodfgen-dev (>= 0.1) , libetonyek-dev , libfreehand-dev (>= 0.1) , libabw-dev (>= 0.1) , libpagemaker-dev , libe-book-dev , libcmis-dev (>= 0.5.0-3ubuntu1) , libeot-dev , liblcms2-dev , libldap2-dev , liblangtag-dev (>= 0.4) , libicu-dev (>= 52) , libcairo2-dev , kdelibs5-dev (>= 4:4.3.4) , libqt4-dev (>= 4:4.8) , libmysqlclient-dev , libmysqlcppconn-dev (>= 1.1.3-6ubuntu1) , libgtk2.0-dev (>= 2.10) , libgtk-3-dev (>= 3.8~) , gobject-introspection (>= 1.32.0), libgirepository1.0-dev (>= 1.32) , libpq-dev (>= 9.0~) , libxrandr-dev , libhsqldb1.8.0-java (>> 1.8.0.10) [!mips64] , liblpsolve55-dev (>= 5.5.0.13-5+b1), lp-solve (>= 5.5.0.13-5+b1) , libsuitesparse-dev (>= 1:3.4.0) , libdbus-glib-1-dev (>= 0.70) , libbluetooth-dev [linux-any] , libgstreamer1.0-dev , libgstreamer-plugins-base1.0-dev , libneon27-gnutls-dev , librdf0-dev (>= 1.0.16-2) , libglew-dev , libglm-dev (>= 0.9.6.3) , libglib2.0-dev (>= 2.15.0) , gettext , make (>= 3.81-8.2),
-Build-Depends-Indep: fdupes, imagemagick, xml-core, , doxygen (>= 1.8.4) <!nodoc> , libcommons-logging-java (>= 1.1.1-9) [!mips64] , libbsh-java
+Build-Depends: autoconf, automake, bc, bison, bzip2, fastjar, flex (>= 2.3.35), gperf, libc0.1 (>= 2.10.2-7) [kfreebsd-any], libcups2-dev, libfontconfig1-dev, libfreetype6-dev (>= 2.2.0), libgl1-mesa-dev, libice-dev, libsm-dev, libx11-dev, libxaw7-dev, libxext-dev, libxinerama-dev, libxkbfile-dev, libxrender-dev, libxt-dev, libxtst-dev, pkg-config, unzip, x11proto-render-dev, xsltproc, zip, zlib1g-dev  , binutils (>= 2.23) [mips mipsel], libc6 (>= 2.17-6) [mips mipsel] , gcc-7 (>= 7-20170106) [m68k], g++-7 (>= 7-20170106) [m68k] , libpoppler-dev (>= 0.12.0), libpoppler-private-dev, libpoppler-cpp-dev , libgraphite2-dev (>= 0.9.3) , libharfbuzz-dev (>= 0.9.42) , libexttextcat-dev (>= 3.4.1) , libjpeg-dev , libxml2-dev, libxml2-utils , libxslt1-dev , libexpat1-dev , unixodbc-dev (>= 2.2.11) , libsane-dev , libpng-dev , libcurl4-gnutls-dev , python3 , python3-dev (>= 3.3) , dh-python , debhelper (>= 9.20160114) , dpkg-dev (>= 1.18.2~) , libcppunit-dev (>= 1.13.2-2.1) , gdb [!kfreebsd-amd64 !kfreebsd-i386 !sparc64] <!nocheck> , fontconfig [!kfreebsd-amd64 !kfreebsd-i386 !sparc64] <!nocheck> , fonts-liberation [!kfreebsd-amd64 !kfreebsd-i386 !sparc64] <!nocheck> , fonts-crosextra-carlito [!kfreebsd-amd64 !kfreebsd-i386 !sparc64] <!nocheck> , junit4 (>= 4.8.2-2) [!kfreebsd-amd64 !kfreebsd-i386 !sparc64] <!nocheck> , maven-repo-helper , java-common (>= 0.49) , default-jdk (>= 1:1.6) [!hppa !mips64 !s390 !sparc] , default-jdk (>= 2:1.7-52.1) [kfreebsd-any] , default-jdk (>= 2:1.8-55) [sparc64] , ant (>= 1.7.0) [!hppa !ia64 !mips64 !s390 !sparc], ant-optional (>= 1.7.0) [!hppa !ia64 !mips64 !s390 !sparc] , javahelper (>= 0.37~) , libnss3-dev (>= 3.12.3) , libnspr4-dev , ucpp , libhunspell-dev (>= 1.1.5-2) , libhyphen-dev (>= 2.4) , libboost-dev (>= 1.58), libboost-date-time-dev (>= 1.58), libboost-iostreams-dev (>= 1.58), libboost-filesystem-dev (>= 1.58) , libboost-system-dev (>= 1.58), libboost-iostreams-dev (>= 1.58), libboost-program-options-dev (>= 1.58), libboost-filesystem-dev (>= 1.58) , libmdds-dev (>= 1.2) , libclucene-dev (>= 2.3.3.4-4.1) , librevenge-dev , libwpd-dev (>= 0.10) , libmythes-dev (>= 2:1.2) , libwps-dev (>= 0.4) , libwpg-dev (>= 0.3) , libvisio-dev (>= 0.1) , libcdr-dev (>= 0.1) , libmspub-dev (>= 0.1) , libmwaw-dev (>= 0.3.1) , libodfgen-dev (>= 0.1) , libetonyek-dev , libfreehand-dev (>= 0.1) , libabw-dev (>= 0.1) , libpagemaker-dev , libe-book-dev , libcmis-dev (>= 0.5.0-3ubuntu1) , libeot-dev , liblcms2-dev , libldap2-dev , liblangtag-dev (>= 0.4) , libicu-dev (>= 52) , libcairo2-dev , kdelibs5-dev (>= 4:4.3.4) , libqt4-dev (>= 4:4.8) , default-libmysqlclient-dev , libmysqlcppconn-dev (>= 1.1.7-4) , libgtk2.0-dev (>= 2.10) , libgtk-3-dev (>= 3.8~) , gobject-introspection (>= 1.32.0), libgirepository1.0-dev (>= 1.32) , libpq-dev (>= 9.0~) , libxrandr-dev , libhsqldb1.8.0-java (>> 1.8.0.10) [!hppa !ia64 !mips64 !s390 !sparc], libarchive-zip-perl [!hppa !ia64 !mips64 !s390 !sparc] , libdbus-glib-1-dev (>= 0.70) , libbluetooth-dev [linux-any] , libgstreamer1.0-dev , libgstreamer-plugins-base1.0-dev , libneon27-gnutls-dev , librdf0-dev (>= 1.0.16-2) , libepoxy-dev (>= 1.2) , libglm-dev (>= 0.9.6.3) , libglib2.0-dev (>= 2.15.0) , gettext , make (>= 3.81-8.2),
+Build-Depends-Indep: fdupes, imagemagick, xml-core, , doxygen (>= 1.8.4) <!nodoc> , libcommons-logging-java (>= 1.1.1-9) [!hppa !ia64 !mips64 !s390 !sparc] , libbsh-java
 Standards-Version: 3.9.4
 Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-openoffice/libreoffice.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-openoffice/libreoffice.git
@@ -15,9 +15,9 @@
 Section: localization
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libreoffice-common, ${misc:Depends}, locales | belocs-locales-data | locales-all
+Depends: libreoffice-common (>= ${binary:Version}), ${misc:Depends}, locales | belocs-locales-data | locales-all
 Recommends: libreoffice-core (>> ${base-version}) | language-support-translations-af 
-Provides: libreoffice-l10n-${help-l10n-virtual-version}
+Provides: libreoffice-l10n (= ${help-l10n-virtual-version})
 Suggests: hunspell-dictionary-af | myspell-dictionary-af,
           hyphen-af,
           libreoffice-grammarcheck-af,
@@ -45,9 +45,9 @@
 Section: localization
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libreoffice-common, ${misc:Depends}, locales | belocs-locales-data | locales-all
+Depends: libreoffice-common (>= ${binary:Version}), ${misc:Depends}, locales | belocs-locales-data | locales-all
 Recommends: libreoffice-core (>> ${base-version}) | language-support-translations-am 
-Provides: libreoffice-l10n-${help-l10n-virtual-version}
+Provides: libreoffice-l10n (= ${help-l10n-virtual-version})
 Suggests: hunspell-dictionary-am | myspell-dictionary-am,
           hyphen-am,
           libreoffice-grammarcheck-am,
@@ -75,9 +75,9 @@
 Section: localization
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libreoffice-common, ${misc:Depends}, locales | belocs-locales-data | locales-all
+Depends: libreoffice-common (>= ${binary:Version}), ${misc:Depends}, locales | belocs-locales-data | locales-all
 Recommends: libreoffice-core (>> ${base-version}) | language-support-translations-ar , font-arabeyes
-Provides: libreoffice-l10n-${help-l10n-virtual-version}
+Provides: libreoffice-l10n (= ${help-l10n-virtual-version})
 Suggests: hunspell-dictionary-ar | myspell-dictionary-ar,
           hyphen-ar,
           libreoffice-grammarcheck-ar,
@@ -105,9 +105,9 @@
 Section: localization
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libreoffice-common, ${misc:Depends}, locales (>= 2.3.6.ds1-1) | locales-all (>= 2.3.6.ds1-1)
+Depends: libreoffice-common (>= ${binary:Version}), ${misc:Depends}, locales (>= 2.3.6.ds1-1) | locales-all (>= 2.3.6.ds1-1)
 Recommends: libreoffice-core (>> ${base-version}) | language-support-translations-as 
-Provides: libreoffice-l10n-${help-l10n-virtual-version}
+Provides: libreoffice-l10n (= ${help-l10n-virtual-version})
 Suggests: hunspell-dictionary-as | myspell-dictionary-as,
           hyphen-as,
           libreoffice-grammarcheck-as,
@@ -135,9 +135,9 @@
 Section: localization
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libreoffice-common, ${misc:Depends}, locales | belocs-locales-data | locales-all
+Depends: libreoffice-common (>= ${binary:Version}), ${misc:Depends}, locales | belocs-locales-data | locales-all
 Recommends: libreoffice-core (>> ${base-version}) | language-support-translations-ast 
-Provides: libreoffice-l10n-${help-l10n-virtual-version}
+Provides: libreoffice-l10n (= ${help-l10n-virtual-version})
 Suggests: hunspell-dictionary-ast | myspell-dictionary-ast,
           hyphen-ast,
           libreoffice-grammarcheck-ast,
@@ -165,9 +165,9 @@
 Section: localization
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libreoffice-common, ${misc:Depends}, locales | belocs-locales-data | locales-all
+Depends: libreoffice-common (>= ${binary:Version}), ${misc:Depends}, locales | belocs-locales-data | locales-all
 Recommends: libreoffice-core (>> ${base-version}) | language-support-translations-be 
-Provides: libreoffice-l10n-${help-l10n-virtual-version}
+Provides: libreoffice-l10n (= ${help-l10n-virtual-version})
 Suggests: hunspell-dictionary-be | myspell-dictionary-be,
           hyphen-be,
           libreoffice-grammarcheck-be,
@@ -184,15 +184,3 @@
  You can switch user interface language using the locales system.
  .
  Spelling dictionaries, hyphenation patterns, thesauri and help are not
- included in this package. There are some available in separate packages
- (myspell-*, hyphen-*, mythes-*, libreoffice-help-*)
- .
- If you just want to be able to spellcheck etc. in other languages, you can
- install extra dictionaries/hyphenation patterns/thesauri independently of
- the language packs.
-
-Package: libreoffice-l10n-bg
-Section: localization
-Architecture: all
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libreoffice-common, ${misc:Depends}, locales | belocs-locales-data | locales-all
